SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Classes | Namespaces | Typedefs | Functions
StringTable.h File Reference

A simple class to encode and decode known strings based on a lookup table. Similar to the StringCompressor class. More...

`#include "DS_OrderedList.h"`
`#include "Export.h"`
`#include "memoryoverride.h"`

Go to the source code of this file.

## Classes

struct | StrAndBool
| The string plus a bool telling us if this string was copied or not. More...
class | SLNet::StringTable
| Writes a string index, instead of the whole string. More...

## Namespaces

namespace | SLNet
| Simple class to send changes between directories. In essence, a simple autopatcher that can be used for transmitting levels, skins, etc.

## Typedefs

typedef unsigned char | StringTableType
| StringTableType should be the smallest type possible, or else it defeats the purpose of the StringTable class, which is to save bandwidth.

## Functions

int RAK_DLL_EXPORT | SLNet::StrAndBoolComp (char *const &key, const StrAndBool &data)

## Detailed Description

A simple class to encode and decode known strings based on a lookup table. Similar to the StringCompressor class.

Definition in file StringTable.h.

## Class Documentation

struct StrAndBool

The string plus a bool telling us if this string was copied or not.

Definition at line 39 of file StringTable.h.

Class Members
bool | b |
char * | str |

## Typedef Documentation

typedef unsigned char StringTableType

StringTableType should be the smallest type possible, or else it defeats the purpose of the StringTable class, which is to save bandwidth.

Definition at line 33 of file StringTable.h.